package br.com.vandersonguidi.transferindodadosentreactivities;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class ActivityPrincipal extends Activity {

	Button botaoTransferir;
	EditText edtNome;
	EditText edtIdade;
	
	public void criarObjetos()
	{
		botaoTransferir = (Button)findViewById(R.id.btnTransferir);
		edtNome = (EditText)findViewById(R.id.edtNome);
		edtIdade = (EditText)findViewById(R.id.edtIdade);
	}
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		//Define a activity que ser chamada no Create
		setContentView(R.layout.activity_principal);
		//Chama o mtodo para criar instncias dos controles da tela
		criarObjetos();
		
		//Criar um listener para escutar o evento de click no boto
		botaoTransferir.setOnClickListener(new View.OnClickListener() {			
			@Override
			public void onClick(View v) {
				//Cria um bundle para passar os dados para a outra Activity
				Bundle b = new Bundle();
				b.putString("nome", edtNome.getText().toString());
				Integer idade = Integer.parseInt(edtIdade.getText().toString());
				b.putInt("idade", idade);
				
				//Cria uma intent para abrir a outra Activity 
				Intent telaSecundaria = new Intent(getApplicationContext(), ActivitySecundaria.class);
				//adiciona os dados na instncia criada
				telaSecundaria.putExtras(b);
				startActivity(telaSecundaria);
			}
		});
		
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_principal, menu);
		return true;
	}
}
