package br.com.vandersonguidi.transferindodadosentreactivities;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.widget.TextView;

public class ActivitySecundaria extends Activity {
	
	TextView tvNome;
	TextView tvIdade;
	private void criarObjetos()
	{
		tvNome = (TextView)findViewById(R.id.tvNome);
		tvIdade = (TextView)findViewById(R.id.tvIdade);
	}
	
	private void popularDados()
	{
		//Preenche uma instncia de um Bundle com os dados que foram passados
		Bundle b = getIntent().getExtras();
		//L os dados do Bundle passando os dados para os componentes da Activity
		tvNome.setText(tvNome.getText() + b.getString("nome"));
		Integer idade = b.getInt("idade");
		tvIdade.setText(tvIdade.getText() + " " + idade.toString());
	}

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_secundaria);		
		criarObjetos();
		popularDados();
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.activity_secundaria, menu);
		return true;
	}

}
